Package com.ocient.jdbc.proto

# Class PlanProtocol.TestColumn.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TestColumn.Builder>
com.ocient.jdbc.proto.PlanProtocol.TestColumn.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.TestColumnOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.TestColumn

    public static final class PlanProtocol.TestColumn.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TestColumn.Builder>
    implements PlanProtocol.TestColumnOrBuilder

Protobuf type `xg.db.sqlPlans.TestColumn`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.TestColumn.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.TestColumn` | `build()` |
`PlanProtocol.TestColumn` | `buildPartial()` |
`PlanProtocol.TestColumn.Builder` | `clear()` |
`PlanProtocol.TestColumn.Builder` | `clearBigintStart()` | `int64 bigint_start = 6;`
`PlanProtocol.TestColumn.Builder` | `clearBinaryStart()` | note that this must also be an int32 in string format
`PlanProtocol.TestColumn.Builder` | `clearBoolStart()` | `bool bool_start = 9;`
`PlanProtocol.TestColumn.Builder` | `clearByteStart()` | note that this will be cast to an int8_t but protobuf doesnt have an int8 type
`PlanProtocol.TestColumn.Builder` | `clearColType()` | the type of the column, can't be an interval, matrix, or invalid for use in the column emitter operator
`PlanProtocol.TestColumn.Builder` | `clearCycleLen()` | the length of the cycle for this column, this is the number of times the same value should be emitted before incrementing
`PlanProtocol.TestColumn.Builder` | `clearDateStart()` | note that this must be a valid date
`PlanProtocol.TestColumn.Builder` | `clearDoubleStart()` | `double double_start = 8;`
`PlanProtocol.TestColumn.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`PlanProtocol.TestColumn.Builder` | `clearFloatStart()` | `float float_start = 7;`
`PlanProtocol.TestColumn.Builder` | `clearIntStart()` | `int32 int_start = 5;`
`PlanProtocol.TestColumn.Builder` | `clearIpv4Start()` | `uint32 ipv4_start = 10;`
`PlanProtocol.TestColumn.Builder` | `clearNullChance()` | `double nullChance = 15;`
`PlanProtocol.TestColumn.Builder` | `clearNullCycle()` | `uint64 nullCycle = 16;`
`PlanProtocol.TestColumn.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`PlanProtocol.TestColumn.Builder` | `clearSmallintStart()` | note that this will be cast to an int16_t but protobuf doesnt have an int16 type
`PlanProtocol.TestColumn.Builder` | `clearStartVals()` |
`PlanProtocol.TestColumn.Builder` | `clearTimestampStart()` | `int64 timestamp_start = 14;`
`PlanProtocol.TestColumn.Builder` | `clearVarcharStart()` | note that this must be an int32 in string format
`PlanProtocol.TestColumn.Builder` | `clone()` |
`long` | `getBigintStart()` | `int64 bigint_start = 6;`
`String` | `getBinaryStart()` | note that this must also be an int32 in string format
`com.google.protobuf.ByteString` | `getBinaryStartBytes()` | note that this must also be an int32 in string format
`boolean` | `getBoolStart()` | `bool bool_start = 9;`
`int` | `getByteStart()` | note that this will be cast to an int8_t but protobuf doesnt have an int8 type
`PlanProtocol.SqlColType` | `getColType()` | the type of the column, can't be an interval, matrix, or invalid for use in the column emitter operator
`int` | `getColTypeValue()` | the type of the column, can't be an interval, matrix, or invalid for use in the column emitter operator
`long` | `getCycleLen()` | the length of the cycle for this column, this is the number of times the same value should be emitted before incrementing
`int` | `getDateStart()` | note that this must be a valid date
`PlanProtocol.TestColumn` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`double` | `getDoubleStart()` | `double double_start = 8;`
`float` | `getFloatStart()` | `float float_start = 7;`
`int` | `getIntStart()` | `int32 int_start = 5;`
`int` | `getIpv4Start()` | `uint32 ipv4_start = 10;`
`double` | `getNullChance()` | `double nullChance = 15;`
`long` | `getNullCycle()` | `uint64 nullCycle = 16;`
`int` | `getSmallintStart()` | note that this will be cast to an int16_t but protobuf doesnt have an int16 type
`PlanProtocol.TestColumn.StartValsCase` | `getStartValsCase()` |
`long` | `getTimestampStart()` | `int64 timestamp_start = 14;`
`String` | `getVarcharStart()` | note that this must be an int32 in string format
`com.google.protobuf.ByteString` | `getVarcharStartBytes()` | note that this must be an int32 in string format
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`PlanProtocol.TestColumn.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`PlanProtocol.TestColumn.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`PlanProtocol.TestColumn.Builder` | `mergeFrom​(PlanProtocol.TestColumn other)` |
`PlanProtocol.TestColumn.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.TestColumn.Builder` | `setBigintStart​(long value)` | `int64 bigint_start = 6;`
`PlanProtocol.TestColumn.Builder` | `setBinaryStart​(String value)` | note that this must also be an int32 in string format
`PlanProtocol.TestColumn.Builder` | `setBinaryStartBytes​(com.google.protobuf.ByteString value)` | note that this must also be an int32 in string format
`PlanProtocol.TestColumn.Builder` | `setBoolStart​(boolean value)` | `bool bool_start = 9;`
`PlanProtocol.TestColumn.Builder` | `setByteStart​(int value)` | note that this will be cast to an int8_t but protobuf doesnt have an int8 type
`PlanProtocol.TestColumn.Builder` | `setColType​(PlanProtocol.SqlColType value)` | the type of the column, can't be an interval, matrix, or invalid for use in the column emitter operator
`PlanProtocol.TestColumn.Builder` | `setColTypeValue​(int value)` | the type of the column, can't be an interval, matrix, or invalid for use in the column emitter operator
`PlanProtocol.TestColumn.Builder` | `setCycleLen​(long value)` | the length of the cycle for this column, this is the number of times the same value should be emitted before incrementing
`PlanProtocol.TestColumn.Builder` | `setDateStart​(int value)` | note that this must be a valid date
`PlanProtocol.TestColumn.Builder` | `setDoubleStart​(double value)` | `double double_start = 8;`
`PlanProtocol.TestColumn.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.TestColumn.Builder` | `setFloatStart​(float value)` | `float float_start = 7;`
`PlanProtocol.TestColumn.Builder` | `setIntStart​(int value)` | `int32 int_start = 5;`
`PlanProtocol.TestColumn.Builder` | `setIpv4Start​(int value)` | `uint32 ipv4_start = 10;`
`PlanProtocol.TestColumn.Builder` | `setNullChance​(double value)` | `double nullChance = 15;`
`PlanProtocol.TestColumn.Builder` | `setNullCycle​(long value)` | `uint64 nullCycle = 16;`
`PlanProtocol.TestColumn.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`PlanProtocol.TestColumn.Builder` | `setSmallintStart​(int value)` | note that this will be cast to an int16_t but protobuf doesnt have an int16 type
`PlanProtocol.TestColumn.Builder` | `setTimestampStart​(long value)` | `int64 timestamp_start = 14;`
`PlanProtocol.TestColumn.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.TestColumn.Builder` | `setVarcharStart​(String value)` | note that this must be an int32 in string format
`PlanProtocol.TestColumn.Builder` | `setVarcharStartBytes​(com.google.protobuf.ByteString value)` | note that this must be an int32 in string format

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TestColumn.Builder>`

### clear

public PlanProtocol.TestColumn.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TestColumn.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TestColumn.Builder>`

### getDefaultInstanceForType

public PlanProtocol.TestColumn getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public PlanProtocol.TestColumn build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public PlanProtocol.TestColumn buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public PlanProtocol.TestColumn.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TestColumn.Builder>`

### setField

public PlanProtocol.TestColumn.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TestColumn.Builder>`

### clearField

public PlanProtocol.TestColumn.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TestColumn.Builder>`

### clearOneof

public PlanProtocol.TestColumn.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TestColumn.Builder>`

### setRepeatedField

public PlanProtocol.TestColumn.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TestColumn.Builder>`

### addRepeatedField

public PlanProtocol.TestColumn.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TestColumn.Builder>`

### mergeFrom

public PlanProtocol.TestColumn.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.TestColumn.Builder>`

### mergeFrom

public PlanProtocol.TestColumn.Builder mergeFrom​(PlanProtocol.TestColumn other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TestColumn.Builder>`

### mergeFrom

public PlanProtocol.TestColumn.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.TestColumn.Builder>`
Throws:
  `IOException`

### getStartValsCase

public PlanProtocol.TestColumn.StartValsCase getStartValsCase()

Specified by:
  `getStartValsCase` in interface `PlanProtocol.TestColumnOrBuilder`

### clearStartVals

public PlanProtocol.TestColumn.Builder clearStartVals()

### getColTypeValue

public int getColTypeValue()

    the type of the column, can't be an interval, matrix, or invalid for use in the column emitter operator

`.xg.db.sqlPlans.SqlColType colType = 1;`

Specified by:
  `getColTypeValue` in interface `PlanProtocol.TestColumnOrBuilder`

### setColTypeValue

public PlanProtocol.TestColumn.Builder setColTypeValue​(int value)

    the type of the column, can't be an interval, matrix, or invalid for use in the column emitter operator

`.xg.db.sqlPlans.SqlColType colType = 1;`

### getColType

public PlanProtocol.SqlColType getColType()

    the type of the column, can't be an interval, matrix, or invalid for use in the column emitter operator

`.xg.db.sqlPlans.SqlColType colType = 1;`

Specified by:
  `getColType` in interface `PlanProtocol.TestColumnOrBuilder`

### setColType

public PlanProtocol.TestColumn.Builder setColType​(PlanProtocol.SqlColType value)

    the type of the column, can't be an interval, matrix, or invalid for use in the column emitter operator

`.xg.db.sqlPlans.SqlColType colType = 1;`

### clearColType

public PlanProtocol.TestColumn.Builder clearColType()

    the type of the column, can't be an interval, matrix, or invalid for use in the column emitter operator

`.xg.db.sqlPlans.SqlColType colType = 1;`

### getCycleLen

public long getCycleLen()

    the length of the cycle for this column, this is the number of times the same value should be emitted before incrementing

`uint64 cycleLen = 2;`

Specified by:
  `getCycleLen` in interface `PlanProtocol.TestColumnOrBuilder`

### setCycleLen

public PlanProtocol.TestColumn.Builder setCycleLen​(long value)

    the length of the cycle for this column, this is the number of times the same value should be emitted before incrementing

`uint64 cycleLen = 2;`

### clearCycleLen

public PlanProtocol.TestColumn.Builder clearCycleLen()

    the length of the cycle for this column, this is the number of times the same value should be emitted before incrementing

`uint64 cycleLen = 2;`

### getByteStart

public int getByteStart()

    note that this will be cast to an int8_t but protobuf doesnt have an int8 type

`int32 byte_start = 3;`

Specified by:
  `getByteStart` in interface `PlanProtocol.TestColumnOrBuilder`

### setByteStart

public PlanProtocol.TestColumn.Builder setByteStart​(int value)

    note that this will be cast to an int8_t but protobuf doesnt have an int8 type

`int32 byte_start = 3;`

### clearByteStart

public PlanProtocol.TestColumn.Builder clearByteStart()

    note that this will be cast to an int8_t but protobuf doesnt have an int8 type

`int32 byte_start = 3;`

### getSmallintStart

public int getSmallintStart()

    note that this will be cast to an int16_t but protobuf doesnt have an int16 type

`int32 smallint_start = 4;`

Specified by:
  `getSmallintStart` in interface `PlanProtocol.TestColumnOrBuilder`

### setSmallintStart

public PlanProtocol.TestColumn.Builder setSmallintStart​(int value)

    note that this will be cast to an int16_t but protobuf doesnt have an int16 type

`int32 smallint_start = 4;`

### clearSmallintStart

public PlanProtocol.TestColumn.Builder clearSmallintStart()

    note that this will be cast to an int16_t but protobuf doesnt have an int16 type

`int32 smallint_start = 4;`

### getIntStart

public int getIntStart()
`int32 int_start = 5;`

Specified by:
  `getIntStart` in interface `PlanProtocol.TestColumnOrBuilder`

### setIntStart

public PlanProtocol.TestColumn.Builder setIntStart​(int value)
`int32 int_start = 5;`

### clearIntStart

public PlanProtocol.TestColumn.Builder clearIntStart()
`int32 int_start = 5;`

### getBigintStart

public long getBigintStart()
`int64 bigint_start = 6;`

Specified by:
  `getBigintStart` in interface `PlanProtocol.TestColumnOrBuilder`

### setBigintStart

public PlanProtocol.TestColumn.Builder setBigintStart​(long value)
`int64 bigint_start = 6;`

### clearBigintStart

public PlanProtocol.TestColumn.Builder clearBigintStart()
`int64 bigint_start = 6;`

### getFloatStart

public float getFloatStart()
`float float_start = 7;`

Specified by:
  `getFloatStart` in interface `PlanProtocol.TestColumnOrBuilder`

### setFloatStart

public PlanProtocol.TestColumn.Builder setFloatStart​(float value)
`float float_start = 7;`

### clearFloatStart

public PlanProtocol.TestColumn.Builder clearFloatStart()
`float float_start = 7;`

### getDoubleStart

public double getDoubleStart()
`double double_start = 8;`

Specified by:
  `getDoubleStart` in interface `PlanProtocol.TestColumnOrBuilder`

### setDoubleStart

public PlanProtocol.TestColumn.Builder setDoubleStart​(double value)
`double double_start = 8;`

### clearDoubleStart

public PlanProtocol.TestColumn.Builder clearDoubleStart()
`double double_start = 8;`

### getBoolStart

public boolean getBoolStart()
`bool bool_start = 9;`

Specified by:
  `getBoolStart` in interface `PlanProtocol.TestColumnOrBuilder`

### setBoolStart

public PlanProtocol.TestColumn.Builder setBoolStart​(boolean value)
`bool bool_start = 9;`

### clearBoolStart

public PlanProtocol.TestColumn.Builder clearBoolStart()
`bool bool_start = 9;`

### getIpv4Start

public int getIpv4Start()
`uint32 ipv4_start = 10;`

Specified by:
  `getIpv4Start` in interface `PlanProtocol.TestColumnOrBuilder`

### setIpv4Start

public PlanProtocol.TestColumn.Builder setIpv4Start​(int value)
`uint32 ipv4_start = 10;`

### clearIpv4Start

public PlanProtocol.TestColumn.Builder clearIpv4Start()
`uint32 ipv4_start = 10;`

### getVarcharStart

public String getVarcharStart()

    note that this must be an int32 in string format

`string varchar_start = 11;`

Specified by:
  `getVarcharStart` in interface `PlanProtocol.TestColumnOrBuilder`

### getVarcharStartBytes

public com.google.protobuf.ByteString getVarcharStartBytes()

    note that this must be an int32 in string format

`string varchar_start = 11;`

Specified by:
  `getVarcharStartBytes` in interface `PlanProtocol.TestColumnOrBuilder`

### setVarcharStart

public PlanProtocol.TestColumn.Builder setVarcharStart​(String value)

    note that this must be an int32 in string format

`string varchar_start = 11;`

### clearVarcharStart

public PlanProtocol.TestColumn.Builder clearVarcharStart()

    note that this must be an int32 in string format

`string varchar_start = 11;`

### setVarcharStartBytes

public PlanProtocol.TestColumn.Builder setVarcharStartBytes​(com.google.protobuf.ByteString value)

    note that this must be an int32 in string format

`string varchar_start = 11;`

### getBinaryStart

public String getBinaryStart()

    note that this must also be an int32 in string format

`string binary_start = 12;`

Specified by:
  `getBinaryStart` in interface `PlanProtocol.TestColumnOrBuilder`

### getBinaryStartBytes

public com.google.protobuf.ByteString getBinaryStartBytes()

    note that this must also be an int32 in string format

`string binary_start = 12;`

Specified by:
  `getBinaryStartBytes` in interface `PlanProtocol.TestColumnOrBuilder`

### setBinaryStart

public PlanProtocol.TestColumn.Builder setBinaryStart​(String value)

    note that this must also be an int32 in string format

`string binary_start = 12;`

### clearBinaryStart

public PlanProtocol.TestColumn.Builder clearBinaryStart()

    note that this must also be an int32 in string format

`string binary_start = 12;`

### setBinaryStartBytes

public PlanProtocol.TestColumn.Builder setBinaryStartBytes​(com.google.protobuf.ByteString value)

    note that this must also be an int32 in string format

`string binary_start = 12;`

### getDateStart

public int getDateStart()

    note that this must be a valid date

`int32 date_start = 13;`

Specified by:
  `getDateStart` in interface `PlanProtocol.TestColumnOrBuilder`

### setDateStart

public PlanProtocol.TestColumn.Builder setDateStart​(int value)

    note that this must be a valid date

`int32 date_start = 13;`

### clearDateStart

public PlanProtocol.TestColumn.Builder clearDateStart()

    note that this must be a valid date

`int32 date_start = 13;`

### getTimestampStart

public long getTimestampStart()
`int64 timestamp_start = 14;`

Specified by:
  `getTimestampStart` in interface `PlanProtocol.TestColumnOrBuilder`

### setTimestampStart

public PlanProtocol.TestColumn.Builder setTimestampStart​(long value)
`int64 timestamp_start = 14;`

### clearTimestampStart

public PlanProtocol.TestColumn.Builder clearTimestampStart()
`int64 timestamp_start = 14;`

### getNullChance

public double getNullChance()
`double nullChance = 15;`

Specified by:
  `getNullChance` in interface `PlanProtocol.TestColumnOrBuilder`

### setNullChance

public PlanProtocol.TestColumn.Builder setNullChance​(double value)
`double nullChance = 15;`

### clearNullChance

public PlanProtocol.TestColumn.Builder clearNullChance()
`double nullChance = 15;`

### getNullCycle

public long getNullCycle()
`uint64 nullCycle = 16;`

Specified by:
  `getNullCycle` in interface `PlanProtocol.TestColumnOrBuilder`

### setNullCycle

public PlanProtocol.TestColumn.Builder setNullCycle​(long value)
`uint64 nullCycle = 16;`

### clearNullCycle

public PlanProtocol.TestColumn.Builder clearNullCycle()
`uint64 nullCycle = 16;`

### setUnknownFields

public final PlanProtocol.TestColumn.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TestColumn.Builder>`

### mergeUnknownFields

public final PlanProtocol.TestColumn.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TestColumn.Builder>`